Subject: Re: node routing status

From: [email-masked]
Date: Fri, 18 Feb 2000 18:21:21 +0800

>That doesn't achieve fairness throughout the network and maybe it >will make
>things worse if there isn't a way of relieving occasionally those >hosts from
>their "routing duties". I would imagine it will also generate more >partitions
>in the network and its performance will decay as a result of that.
>
>Perhaps a better approach would be some sort of voting scheme were >1 >nodes
>will decide on that percentage and on who is going to act as a >router. After a
>certain period of time the routers turn off routing gradually and the >rest
>take their place as long as the network doesn't become partitioned.

     It is a fairness issue. Some of discussions have focused on trade-off
     between MN resources and its connectivity. How about the
     situation in terms of "inter-MNs"? Is it fair that one MN could stop
     routing or forwarding while it is serviced by other MNs?
     This is an interesting issue.

     Even in cluster structure, although CHs take care of routing for
     cluster members, it should be said a cluster member is temporarily
     able to _relax_ from "routing duties" rather than _get rid of_  the
     routing duties. Once re-cluster happens, any cluster member should
     be READY to become new cluster head by some re-cluster rules.
     Cluster members are still in the "ready state" to get involved
     in routing. There is no reason to _stop_ routing except they really
     get  lower battery power or exhaust some resources else.

     In addition, in some scenario, for example, there are several
     slow-moving nodes and they are in the optimal path between
     some senders and receivers. In existing protocols, it seems
     always that the optimal path will be chosen for transmission.
     If these nodes are slow-moving and are always chosen for
     routing protocol. In a short period they will drain their battery power.
     It seems also unfair to them. Is there any solution to
     share loading or provide some fair rule for existing routing protocols?

Regards,
Paul Chao
--------------------------
D-Link Corporation,
Taipei, Taiwan, ROC.

email: [email-masked]
             [email-masked]

---

From: Nitin H Vaidya <[email-masked]>
Date: Fri, 18 Feb 2000 09:18:37 -0600 (CST)

>> From: Elizabeth Royer <[email-masked]>
  >>
  >> Hello all,
  >> 
  >> We noted that in the recent implementation report for OLSR that
  >> the protocol does not require all nodes to be routers.  We have
  >> been discussing this for AODV, trying to determine whether we
  >> should add that statement to our protocol specification.
  >> Our discussion began that we should allow nodes to choose not
  >> be routers if they so desire, but we then easily imagined
  >> a scenario where _everyone_ in the network decides to turn off
  >> their routing capabilities, so as not to drain their battery life 
  >> forwarding other user's data.  This would obviously lead to
  >> an ineffective network, where few (if any) users would be able
  >> to receive data.

I believe we should allow nodes to individually choose
to not be routers. I do not see how providing more
flexibility can be a bad thing.

Surely, someone can turn their machine off and refuse to
forward packets, even if your protocol would not like this ?

Is an "ineffective" network, as you point out, necessarily a
bad thing?

I guess most of us have been assuming that ad hoc networks
are to be used for doing something terribly important,
so maintaining connectivity is a necessary goal.

What if this ad hoc network is established in a football stadium,
consisting of fans who are willing to forward packets for
each other? If I am surrounded by unfriendly folks who would not
forward my packets, that's probably OK too.

On the other hand, if the application is critical, then connectivity
becomes an important criteria.

Provide as much flexibility as feasible, so the same protocol
can be used in a variety of applications.

- nitin

  >> 
  >> So the question we want to ask is, what is the opinion of the group
  >> regarding whether users should be allowed to refuse to be routers, 
  >> even if this leads to an effectively disconnected network?  We can 
  >> envision allowing users to stop routing if their remaining battery 
  >> power falls below a certain threshold, but how should this problem 
  >> be handled otherwise?  
  >> 
  >> Regards,
  >> Elizabeth
  >> 
  >>